POST /contacts/bulk

Import up to 1000 contacts; duplicates (same channel) are skipped and their new tags merged

POST
/contacts/bulk

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId?string

Required when contacts carry a phone

profileId?string
contacts*array<>

Response Body

{success, created, skipped, errors, total}

application/json
  1. response
success?boolean
created?integer
skipped?integer
errors?array<string>
total?integer
Example Request
curl -X POST 'https://example.com/api/v1/contacts/bulk' \  -H 'Content-Type: application/json' \  -d '{  "contacts": [    {}  ]}'
Example Response
{  "success": true,  "created": 0,  "skipped": 0,  "errors": [    "string"  ],  "total": 0}